Перейти к содержимому

GET /teams/{teamID}/metrics/max

Maximum team metrics

Get the maximum metrics for the team in the given interval

Параметры

  • teamID · string · путь · обязательно

  • start · integer · запрос · необязательно

    Unix timestamp for the start of the interval, in seconds, for which the metrics

    Формат: int64

    Минимум: 0

  • end · integer · запрос · необязательно

    Unix timestamp for the end of the interval, in seconds, for which the metrics

    Формат: int64

    Минимум: 0

  • metric · concurrent_sandboxes | sandbox_start_rate · запрос · обязательно

    Metric to retrieve the maximum value for

    Допустимые значения: concurrent_sandboxes | sandbox_start_rate

Ответы

200

Successfully returned the team metrics

Content-Type: application/json

Схема: MaxTeamMetric

Team metric with timestamp

  • timestampUnix · integer · обязательно

    Timestamp of the metric entry in Unix time (seconds since epoch)

    Формат: int64

  • value · number · обязательно

    The maximum value of the requested metric in the given interval

400

Bad request

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

401

Authentication error

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

403

Forbidden

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

500

Server error

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error